
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}


header{
  width: 100%;
  height: 100vh;
  overflow: hidden;
  background: url(../img/dron.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
}


.head{
  background: rgba(228, 228, 228, 0);
  z-index: 999;
  position: relative;
}

.head-1{
display: flex;
justify-content: center;
}

.nav{
  position: absolute;
  z-index: 999;

}

.nav-2{
position: absolute;
display: none;
opacity: 0;
}

.logo{
  max-width: 13rem;
}



.nav-list{
  display: flex;
  list-style-type: none;
  gap: 6rem;
  align-items: center;
  justify-content: center;
}



.nav-list-2{
  display: flex;
  list-style-type: none;
  gap: 2rem;
  margin-top: 2rem;
  align-items: center;
  justify-content: center;
}

.nav-list li a{
  text-decoration: none;
  color: rgb(255, 255, 255);
  font-size: 2rem;
}

.abrir-menu{
  display: none;
}


.cerrar-menu{
  display: none;
}

.abrir-menu{
  padding: 1rem;
  border-radius: 1rem;
  border: none;
  background: rgba(255, 255, 255, 0);
  color: rgb(255, 255, 255);
}

.cerrar-menu{
  padding: 1rem;
  border-radius: 1rem;
  border: none;
  background: rgba(255, 255, 255, 0);;
}

.cerrar-menu img, .cerrar-menu img{
  width: 2rem;
}

.btn-img{
  z-index: 999;
  width: 2rem;
}

/*Logo centrado*/
header .fav{
  position: relative;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50vh;
  z-index: 998;
  width: 100%;
  text-align: center;
  font-size: clamp(1.5rem, 1vw + 1.5rem, 3rem);
  color: rgb(255, 255, 255);
  font-weight: 100;
}

.logo-res{
width: clamp(10rem, 3vw, 15rem);
position: relative;
display: none;
}

.equ{
  z-index: 999;
display: flex;
padding:  1rem;
align-items: center;
justify-content: space-between;
}


.dron{
  background: rgba(151, 151, 151, 0.2);
  margin: 10vh 1rem;
  display: grid;
  grid-template-columns: 1fr;
  box-shadow: 1px 1px 5px rgba(0, 0, 0, .2);
  gap: 2rem;
}

.dron-1{
  padding: 1rem;
}

.dron-1 h2{
  font-size: clamp(2.5rem, 4vw, 4rem);
  color: rgb(0, 0, 128);
  text-align: center;
  padding-bottom: 1rem;
}

.dron-1 p{
  text-align: center;
  font-size: clamp(1.5rem, 2vw, 3rem);
}

.dron-2{
  padding: 2rem 0;
}

.dron-2 h2{
  text-align: center;
  font-size: clamp(2.5rem, 3.5vw, 4rem);
  color: rgb(0, 0, 128);
  padding-bottom:1rem;
}

.dron-2 ul{
  list-style: none;
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem;
  text-align: center;
}

.dron-2 li{
  box-shadow: 1px 1px 2px 1px rgb(0, 0, 128);
  padding: 1rem;
  margin: 0 1rem;
  font-size: clamp(1.5rem, 2vw, 3rem);
  background: #e5e8ff;
}

.caracteri{
  margin: 0 1rem;
}

.carac{
  display: grid;
  grid-template-columns: repeat(1,1fr);
  grid-template-rows: 70vh;
  grid-auto-rows: 70vh;
  gap: 3rem;
  margin:10vh 0;  
}

.caracteri h1{
  font-size: clamp(2.5rem, 4vw, 4rem);
  color: rgb(0, 0, 128);
  margin-bottom: 2rem;
  text-align: center;
}

.carac section{
  border-radius: .5rem;
  box-shadow: 1px 1px 5px 1px rgb(145, 145, 145);
}

.carac-1{
  background:linear-gradient(#f1f4ff00,#000080), url(https://aerialproductions.es/wp-content/uploads/2023/06/carga-drones-1024x610.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 1rem;
}

.carac-1-1{
  position: relative;
  top: 75%;
}

.carac-1 h2{
  font-size: 2.5rem;
  color: white;
}

.carac-1 p{
  color: white;
}

.carac-2{
  background:url(https://droniteca.com/wp-content/uploads/2020/08/altura-y-distancia-maxima-drone.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.carac-2-1{
  background-color: #000080;
  margin: 1rem;
  padding: 1rem;
  color: white;
  text-align: center;
  border-radius: .5rem;
  position: relative;
  top: 60%;
}

.carac-2-1 h2{
  font-size: 2.5rem;
}

.carac-3{
  background: url(https://umilesgroup.com/wp-content/uploads/2022/09/a-que-altura-puede-volar-un-dron.webp);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.carac-3-1{
  position: relative;
  top: 5%;
  margin: 1rem;
}

.carac-3-1 strong{
  color: rgb(0, 0, 128);;
}

.carac-3-1 h2{
  font-size: 3rem;
  color: #1007fa;
}

.carac-3-1 p{
  color: #2118ff;
}

.mas-proc {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  padding: 5vh;
  gap: 3rem;
  background: #ffffff;
  margin: 0 0;
}

.h1-mas:first-child{
  grid-column: 1/3;
}

.h1-mas{
  text-align: center;
  font-size: clamp(1.5rem, 8vw, 3rem);
  font-weight: 600;
  margin-top: 15vh;
  color: #0c06ac;
}

.proced-img{
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  position: relative;
  border-radius: 5px;
  
}


.proced-img img {
  max-width: 80%;
  min-width: 50%;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}

.proced {
  padding: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  position: relative;
  gap: 1rem;
}

.proced::after {
  content: "";
  height: 100%;
  width: 3px;
  background: #0c06ac;
  position: absolute;
  margin: 0 -42px;
}

.proced-1 h1 {
  font-size: 2.3rem;
  color: rgb(0, 0, 128);
  font-weight: 700;
  padding-bottom: 5px;
}

.proced-1 p {
  font-size: 1.1rem;
}

.proced-cir {
  background: #2118ff;
  position: absolute;
  padding: 10px;
  border-radius: 100%;
  margin: 0 -50px;
  z-index: 99;
}

.proced-cir::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: #0d05d2;
  border-radius: 50%;
  z-index: -1;
  animation-name: pulse;
  animation-duration: 2s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}

.imagen{
  display: none;
  width: 100%;
  object-fit: cover;
}

@keyframes pulse {
  0% {
      opacity: 0;
  }

  50% {
      scale: 1.4;
      opacity: .4;
  }

  100% {
      opacity: .10;
  }
}


.btn-mod{
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 1rem;
  padding: .5rem;
  background: #0c06ac;
  color: white;
  border: none;
  border-radius: 5px;
}

.btn-mod:hover{
  background: white;
  color: rgb(0, 0, 128);
  border: .1rem solid rgb(0, 0, 128);
}


@media screen and (min-width:700px){
  
  main{
    margin: 0 3rem;
  }

  .dron-2 ul{
    grid-template-columns: repeat(2,1fr);
  }

  .carac{
    grid-template-columns: repeat(1,1fr);
  }

}

@media screen and (max-width:700px){
  .mas-proc{
    grid-template-columns: 1fr;
}

.proced-img{
    display: none;
}

.proced{
    gap: 4rem;
    padding: 0 0 0 2rem;
}

.imagen{
    display: block;
} 
}

@media screen and (min-width:1024px) {
  .carac{
    grid-template-columns: repeat(3,1fr);
  }
}



@media screen and (width <= 1061px){

  .logo-res{
    display: block;
  }

  .intro-p{
      line-height: 2.3rem;
  }

  .abrir-menu,.cerrar-menu{
    display: block;
  }

  .abrir-menu{
      position: relative;
      
  }

  .nav{
    opacity: 0;
    visibility: hidden;
    display: none;
  }

  .nav-2{
  display: none;
    opacity:0;
    display: flex;
    flex-direction: column;
    align-items: end;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    padding: 1.6rem 2rem;
    box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .2);
    z-index: 999;
    background: rgb(255, 255, 255);
    height: 100vh;
    visibility: hidden;
  }

  .logo{
      position: relative;
      left: -3rem;
      display: none;
  }

  .nav-2.visible{
    opacity: 20;
    visibility: visible;
    background: rgb(0, 0, 128);
    height: 100vh;
    z-index: 1;
  }

  .nav-list-2{
    flex-direction: column;
    align-items: end;
    gap: 10px;
    position: relative;
  }

  .nav-list-2 li a{
    color: white;
    text-decoration: none;
    font-size: 2rem;
  }

  .mapadiv{
      width: 100%;
      left: -10px;
  }
}




.pie-pagina{
  margin-top: 10rem;
  width: 100%;
  background: rgb(0, 0, 128);
}

.pie-pagina .grupo-1{
  width: 100%;
  max-width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(3,1fr);
  grid-gap: 50px;
  padding: 45px 0px;
}
.pie-pagina .grupo-1 .box figure{
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pie-pagina .grupo-1 .box figure img{
  width: 250px;
}

.pie-pagina .grupo-1 .box h2{
  color: white;
  margin-bottom: 25px;
  font-size: 2.5rem;
}

.pie-pagina .grupo-1 .box p{
  color: white;
  margin-bottom: .8rem;
}


.pie-pagina .grupo-1 .red-social{
  display: flex;
  flex-direction: column;
}

.pie-pagina .grupo-1 .red-social a{
  text-decoration: none;
  color: white;
  margin-left: 0;
}

.pie-pagina .grupo-2{
  background: rgb(1, 1, 59);
  padding: 1rem .7rem;
  text-align: center;
  color: white;
} 

.pie-pagina .grupo-2 small{
  font-size: 1rem;
}

@media screen and (max-width:800px){
  .pie-pagina .grupo-1{
     grid-template-columns: 1fr;
  }
}
